package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.vo.AttendanceGroupVo;
/**
* 考勤组信息实体对象
*
* @author zxfei
* @date 2023-04-07
*/

public class AttendanceGroupEntity extends AttendanceGroupVo {
    private static final long serialVersionUID = 1L;

    /**
    * 考勤组名称
    */
    private String groupName;
    /**
    * 人数
    */
    private Integer personNum;
    /**
    * 负责人
    */
    private String responsiblePerson;
    /**
    * 类型(1.固定班指)
    */
    private Integer type;
    /**
    * 考勤时间
    */
    private Integer attendanceTime;
    /**
    * 备注
    */
    private String remark;



    public AttendanceGroupEntity(){}
    /**
    * 获取 考勤组名称
    * @return String
    */
    public String getGroupName(){
        return groupName;
    }
    /**
    * 设置 考勤组名称
    * @param groupName
    */
    public void setGroupName(String groupName){
        this.groupName = groupName;
    }
    /**
    * 获取 人数
    * @return Integer
    */
    public Integer getPersonNum(){
        return personNum;
    }
    /**
    * 设置 人数
    * @param personNum
    */
    public void setPersonNum(Integer personNum){
        this.personNum = personNum;
    }
    /**
    * 获取 负责人
    * @return String
    */
    public String getResponsiblePerson(){
        return responsiblePerson;
    }
    /**
    * 设置 负责人
    * @param responsiblePerson
    */
    public void setResponsiblePerson(String responsiblePerson){
        this.responsiblePerson = responsiblePerson;
    }
    /**
    * 获取 类型(1.固定班指)
    * @return Integer
    */
    public Integer getType(){
        return type;
    }
    /**
    * 设置 类型(1.固定班指)
    * @param type
    */
    public void setType(Integer type){
        this.type = type;
    }
    /**
    * 获取 考勤时间
    * @return Integer
    */
    public Integer getAttendanceTime(){
        return attendanceTime;
    }
    /**
    * 设置 考勤时间
    * @param attendanceTime
    */
    public void setAttendanceTime(Integer attendanceTime){
        this.attendanceTime = attendanceTime;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AttendanceGroupEntity) {
            AttendanceGroupEntity tmp = (AttendanceGroupEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",groupName:").append(getGroupName());
        sb.append(",personNum:").append(getPersonNum());
        sb.append(",responsiblePerson:").append(getResponsiblePerson());
        sb.append(",type:").append(getType());
        sb.append(",attendanceTime:").append(getAttendanceTime());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.groupName = "";

            this.personNum = null;

            this.responsiblePerson = "";

            this.type = null;

            this.attendanceTime = null;

            this.remark = "";
    }
}